#administration of the site
adminbyadmin:
  url:   /admin
  param: { module: adminbyadmin, action: index }

admin_seasons:
  url:   /admin/seasons
  param: { module: adminbyadmin, action: seasons }

season_modify:
  url:   /admin/seaon/modify/:season_id
  param: { module: adminbyadmin, action: seasonModify }
  
admin_text:
  url:   /admin/text/:page
  param: { module: adminbyadmin, action: manageText }
  
affiche_text1:
  url:   /admin/text1/
  param: { module: adminbyadmin, action: afficheText1 }

affiche_text2:
  url:   /admin/text2/
  param: { module: adminbyadmin, action: afficheText2 }
 
profileStatus:
  url:   /admin/profileStatus
  param: { module: adminbyadmin, action: profileStatus }
  
# administration of an event  by the users
admin_manage:
  url:   /manage/admins
  param: { module: adminbyuser, action: manageAdmin }
  
block_player:
  url:   /block/player/:player_id
  param: { module: adminbyuser, action: blockPlayer }
  
dismiss_player:
  url:   /dismiss/player/:player_id
  param: { module: adminbyuser, action: dismissPlayer } 
 
event_admin_news:
  url:   /event/news/
  param: { module: adminbyuser, action: manageNews }
  
affiche_news1:
  url:   /event/news1/
  param: { module: adminbyuser, action: afficheNews1 }

affiche_news2:
  url:   /event/news2/
  param: { module: adminbyuser, action: afficheNews2 }
  
event_status:
  url:   /event/status
  param: { module: adminbyuser, action: status }
  
event_status_closed:
  url:   /event/status/closed/:event_id
  param: { module: adminbyuser, action: statusClose }
 
link_manage:
  url:   /link/manage
  param: { module: adminbyuser, action: linkManage }

accept_link:
  url:   /link/accept/:link_id 
  param: { module: adminbyuser, action: linkAccept }
 
refuse_link:
  url:   /link/refuse/:link_id 
  param: { module: adminbyuser, action: linkRefuse }
  
players_manage:
  url:   /manage/players
  param:  { module: adminbyuser, action: managePlayers }
  
upgrade_as_captain:
  url:   /upgrade/captain/:player_id
  param: { module: adminbyuser, action: upgradeAsCaptain } 
  
teams_manage:
  url:   /manage/teams
  param: { module: adminbyuser, action: manageTeams }
  
team_delete:
  url:   /delete/team/:team_name
  param: { module: adminbyuser, action: deleteTeam }

  
# I18N relocate
i18n_relocate:
  url:   /lang/switch/:culture
  param: { module: utils, action: i18nRelocate }

# Contact
contact:
  url:   /contact
  param: { module: utils, action: contact }

contact_sent:
  url:   /contact/sent
  param: { module: utils, action: contactSent }

report:
  url:   /report
  param:  { module: utils, action: report }

#create
groupteam_list:
  url:    /groupteam/list/:page
  param:  { module: create, action: groupTeamList }

groupteam_manage:
  url:   /create/groupteammanage/:groupteam_id
  param: { module: create, action: chooseTeam }
  
level_autocomplete:
  url:   /level/autocomplete
  param: { module: create, action: autoCompleteLevel }
  
leveltrans:
  url:   /leveltrans
  param: { module: create, action: levelTrans }
 
group_choose_teams:
  url:    /group/chooseteams
  param:  { module: create, action: chooseTeam } 

nationalteams:
  url:   /create/nationalteams
  param: { module: create, action: nationalTeams }
  
delete_item_list_nat:
  url:   /create/deleteItem/:keynat
  param: { module: create, action: deleteItem }
  
  #events
event_choose_favori:
  url:   /event/favori/
  param: { module: event, action: chooseFavori }
  
event_classement:
  url:   /event/classement/
  param: { module: event, action: classement }
  
event_create:
  url:   /event/create
  param: { module: event, action: create }

event_edit:
  url:   /event/edit
  param: { module: event, action: edit }
  
event_home:
  url:   /event/home
  param: { module: event, action: home }
 
event_region:
  url:   /event/region
  param: { module: event, action: eventRegion }
  
event_list:
  url:    /event/list/:page
  param:  { module: event, action: list }
  
event_list_menu:
  url:    /menu/list
  param:  { module: menu, action: list }
  
event_manage:
  url:   /event/manage/:event_id
  param: { module: event, action: manage }

event_play:
  url:   /play/event/:event_id
  param: { module: event, action: play }

event_register_code:
  url:   /event/register/code
  param: { module: event, action: code }
  
event_register_private:
  url:   /event/register/private
  param: { module: event, action: private }
 
event_register_public:
  url:   /event/register/public
  param: { module: event, action: public } 

event_rules_team:
  url:   /event/rulesteam
  param: { module: event, action: rulesteam }
  
event_stat:
  url:   /event/stats/
  param: { module: event, action: stats }
  
event_teams_class:
  url:   /event/teamsClassement/
  param: { module: event, action: teamsClassement }
 
event_tournaments:
  url:   /event/tournaments
  param: { module: event, action: tournaments }
  
event_tournament_delete:
  url:    /event/tournament/delete/:tournoi_del
  param: { module: event, action: tournamentDelete }
  
event_view:
  url:   /event/view/:event_id
  param: { module: event, action: view }
 
#level
level_create:
  url:   /level/create
  param: { module: create, action: createLevel }
 
#matchs
matchs_create:
  url:   /matchs/create
  param: { module: matchs, action: create }
  
matchs_delete:
  url:   /matchs/delete/:match_id
  param: { module: matchs, action: delete }
  
matchs_modify:
  url:   /matchs/modify/:match_id
  param: { module: matchs, action: modify }
  
#menu
create:
  url:   /create
  param: { module: menu, action: create }
   
play:
  url:   /play
  param: { module: home, action: play } 
 
manage:
  url:   /manage
  param: { module: menu, action: manage } 
  
palmares:
  url:   /palmares
  param: { module: menu, action: palmares }

event_links:
  url:   /links/:event_id
  param: { module: menu, action: eventLinks }
 
event_link_add:
  url:   /add_a_link/:event_id
  param: { module: menu, action: addEventLink }
  
#play
affiche_classement:
  url:   /classement/:type_class/:event_id
  param: { module: play, action: classement }
 
check_joker:
  url:   /check_joker/:id/:niveau_id/:tournoi_id/:nbjok
  param: { module: play, action: checkJoker }
  
time_zone:
  url:   /time_zone
  param: { module: sfGuardAuth, action: timeZone }
  
event_play_tournoi:
  url:   /play/event/tournament/:event_id
  param: { module: play, action: playTournoi }

input_result:
  url:   /input_result
  param: { module: play, action: inputResult } 
  
#rules
rules_bet_type_help:  
  url:    /rules/bet_type_help
  param:  { module: rules, action: betTypeHelp }

rules_create:
  url:    /rules/create
  param:  { module: rules, action: create }
#appel depuis : tournament/manageSuccess  

rules_display:
  url:    /rules/display/:event_id
  param:  { module: rules, action: display }

rules_show:
  url:    /rules/show/:rules_id
  param:  { module: rules, action: show }
  
rules_home:
  url:    /rules/home
  param:  { module: rules, action: index }  
  
rules_jokerm:
  url:    /rules/joker
  param: { module: rules, action: jokerm }

rules_list:
  url:    /rules/list/:page
  param: { module: rules, action: list }
  
rules_manage:
  url:    /rules/manage/:rules_id
  param:  { module: rules, action: create }

rules_play_favori:
  url:    /rules/favori
  param: { module: rules, action: playFavori }
  
rules_points:  
  url:    /rules/points
  param:  { module: rules, action: points }

rules_select:
  url:    /rules/select
  param:  { module: rules, action: select }
  
rules_X:
  url:    /rules/X
  param:  { module: rules, action: askX }
  
#structuret
structuret_autocomplete:
  url:   /structure/autocomplete
  param: { module: structuret, action: autocomplete }
  
structuret_create:
  url:   /structure/create
  param: { module: structuret, action: create }
  
structuret_delete:
  url:   /structure/delete/:niveau_id/:struc_id
  param: { module: structuret, action: delete }

structuret_show:
  url:   /structure/show/:structuret_id
  param: { module: structuret, action: show }
  
structuret_list:
  url:    /structure/list/:page
  param:  { module: structuret, action: list }
  
structuret_manage:
  url:    /structure/manage/:structuret_id
  param:  { module: structuret, action: manage }
  
structuret_select:
  url:    /structure/select
  param:  { module: structuret, action: select }
  
#teamplayer
teamplayer_create:
  url:    /teamplayer/create
  param:  { module: teamplayer, action: create }  
  
teamplayer_join:
  url:    /teamplayer/join
  param:  { module: teamplayer, action: join }  

teamplayer_manage:
  url:    /teamplayer/manage
  param:  { module: teamplayer, action: manage } 

#teamthema
teamthema_create:
  url:    /teamthema/create
  param:  { module: teamthema, action: create }

team_type:
  url:    /thema/type
  param:  { module: teamthema, action: teamType } 
  
teamgroup_create:
  url:   /teamthema/group
  param: { module: create, action: group }
  
#thema
thema_create:
  url:    /thema/create
  param:  { module: thema, action: create }

#tournament  
#nationalteams:
#  url:   /tournoi/nationalteams
#  param: { module: tournament, action: nationalTeams }
  
#delete_item_list_nat:
#  url:   /tournoi/deleteItem/:keynat
#  param: { module: tournament, action: deleteItem }
  
tournoi_admin:
  url:   /tournoi/admin
  param: { module: tournament, action: tournoiAdmin }

tournament_home:
  url:    /tournament/
  param:  { module: tournament, action: home }
 
tournament_calculate:
  url:    /tournament/calculate/:tournoi_id/:match_id
  param:  { module: tournament, action: calculate }
  
tournament_calcul_delete:
  url:    /tournament/calcul/delete/:tournoi_id/:match_id
  param:  { module: tournament, action: deleteCalcul }
 
tournament_closed:
  url:    /tournament/manage/close/:tournoi_id/:match_id
  param:  { module: tournament, action: closed }
  
tournament_create:
  url:    /tournament/create
  param:  { module: tournament, action: create }
  
tournament_update:
  url:    /tournament/update
  param:  { module: tournament, action: update }
  
tournament_edit:
  url:    /tournament/edit
  param:  { module: tournament, action: edit }
  
tournament_list:
  url:    /tournament/list/:page
  param:  { module: tournament, action: list }

tournament_manage:
  url:    /tournament/manage/:tournoi_id
  param:  { module: tournament, action: manage }

tournament_manage_result:
  url:    /tournament/manage/result/:tournoi_id
  param:  { module: tournament, action: result }
  
tournament_play:
  url:    /tournament/play
  param:  { module: tournament, action: play }

choose_group_for_tournament:
  url:    /tournament/group
  param:  { module: tournament, action: chooseGroup }  
  
tournament_status:
  url:    /tournament/status
  param:  { module: tournament, action: status }  
  
tournament_trial:
  url:    /tournament/trial
  param:  { module: tournament, action: trial } 
  
#user

user_register:
  url:   /register
  param: { module: sfGuardAuth, action: register } 

user_forgot_password:
  url:   /forgot_password
  param: { module: sfGuardAuth, action: forgotPassword }

user_resend_activation:
  url:   /resend_activation
  param: { module: sfGuardAuth, action: resendActivation }
  
user_password_change:
  url:   /profile/password/change
  param: { module: sfGuardAuth, action: changePassword }
  
user_activate:
  url:   /activate/:key
  param: { module: sfGuardAuth, action: activate }

user_profile:
  url:   /profile
  param: { module: sfGuardAuth, action: profile } 
#for inexistant modules and/or action
home_soon:
  url:   /soon
  param: { module: home, action: soon }
  
# default rules
welcome:
  url:   /welcome
  param: { module: home, action: welcome }

homepage:
  url:   /
  param: { module: home, action: index }  

thanks:
  url:   /thanks
  param: { module: home, action: thanks }
  
default_symfony:
  url:   /symfony/:action/*
  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*